#include "stdio.h"
#include "signal.h"

_main()
{
int pid;

signal(SIGINT,SIG_DFL);

pid = fork();

if (pid == -1)
	perror("fork failed");

if (pid==0)
    for(;;)
	printf("I am the child\n");

else
    for(;;)
	printf("I am the parent of process %d\n",pid);
}
